-- this example shows two concurrent loop 

library ieee;
use ieee.std_logic_1164.all;
use ieee.std_logic_arith.all;

ENTITY simple IS
PORT (k1 : IN std_logic_vector(7 downto 0);
	k2 : IN std_logic_vector(7 downto 0);
	a : IN std_logic_vector(7 downto 0);
	b : IN std_logic_vector(7 downto 0);
 	out1 : OUT std_logic_Vector(15 downto 0));
END simple;

ARCHITECTURE trivial OF simple IS

BEGIN

  process(k1,k2, a, b) 
  variable x1, x2, var1, var2, var3, var4, var5 : integer;

  begin
    x1 := 10;
    x2 := 0;

    for i in 0 to k1 loop
	if (x1 < 15 ) then
	  var1 := a + x1;
	  var2 := 5 + var1;
	  x1 := var2 + 3;
	else
	  var3 := a + x1;
	  x1 := var3 + 7;
	end if;
    end loop;

    for j in 0 to k2 loop
	var5 := b + x2;
	x2 := 6 + var5;
    end loop;

    out1 := x1 + x2;
  end process;

end trivial;
